管理员

POST /core/v1/admin/channels/batch

CAS 原子批量启停、归档、优先级、权重、标签

身份要求

管理员. 会话/管理写操作不在公共 Playground 执行。

接口

curl --request POST 'https://api.oneaster.ai/core/v1/admin/channels/batch' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \
  --header 'Idempotency-Key: '"$ONEASTER_INTENT" \
  --header 'Content-Type: application/json' \
  --data "$REQUEST_BODY_JSON"

参数

- Idempotency-Key (header, 必填): {"type":"string","minLength":1,"maxLength":100}

请求 JSON Schema

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "action": {
      "enum": [
        "enable",
        "disable",
        "archive",
        "priority",
        "weight",
        "tag"
      ]
    },
    "items": {
      "type": "array",
      "minItems": 1,
      "maxItems": 100,
      "items": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "pattern": "^(?:[1-9][0-9]{0,14}|1000000000000000)$",
            "description": "规范正十进制渠道 ID,无前导零;范围 1–1000000000000000,批内不得重复。"
          },
          "expected_version": {
            "type": "integer",
            "minimum": 1,
            "maximum": 2147483646
          }
        },
        "required": [
          "id",
          "expected_version"
        ]
      }
    },
    "value": {
      "type": "integer",
      "minimum": 0
    },
    "tag": {
      "type": "string"
    },
    "reference": {
      "type": "string"
    }
  },
  "required": [
    "action",
    "items",
    "reference"
  ]
}

响应

200

返回原幂等操作结果

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "count": {
              "type": "integer",
              "minimum": 0
            },
            "reused": {
              "type": "boolean"
            }
          },
          "required": [
            "count",
            "reused"
          ]
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

201

CAS 原子批量启停、归档、优先级、权重、标签

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "count": {
              "type": "integer",
              "minimum": 0
            },
            "reused": {
              "type": "boolean"
            }
          },
          "required": [
            "count",
            "reused"
          ]
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}